Index: Singular/mpr_numeric.h
===================================================================
--- Singular/mpr_numeric.h	(revision 0f5091ea1879ab5dca9d221f9cfc0b248090d973)
+++ Singular/mpr_numeric.h	(revision e858e7474c86dc4faa76dde10fcfb590dcdaabae)
@@ -4,9 +4,9 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: mpr_numeric.h,v 1.1 1999-06-28 12:48:16 wenk Exp $ */
+/* $Id: mpr_numeric.h,v 1.2 1999-06-28 16:06:30 Singular Exp $ */
 
-/* 
+/*
 * ABSTRACT - multipolynomial resultants - numeric stuff
-*            ( root finder, vandermonde system solver, simplex )   
+*            ( root finder, vandermonde system solver, simplex )
 */
 
@@ -17,5 +17,5 @@
 
 // define polish mode when finding roots
-#define PM_NONE    1 
+#define PM_NONE    1
 #define PM_POLISH  2
 #define PM_CORRUPT 3
@@ -29,10 +29,10 @@
 {
 public:
-  vandermonde( const long _cn, const long _n, 
+  vandermonde( const long _cn, const long _n,
 	       const long _maxdeg, number *_p, const bool _homog = true );
   ~vandermonde();
-  
-  /** Solves the Vandermode linear system 
-   *    \sum_{i=1}^{n} x_i^k-1 w_i = q_k, k=1,..,n. 
+
+  /** Solves the Vandermode linear system
+   *    \sum_{i=1}^{n} x_i^k-1 w_i = q_k, k=1,..,n.
      * Any computations are done using type number to get high pecision results.
    * @param  q n-tuple of results (right hand of equations)
@@ -71,6 +71,6 @@
   ~rootContainer();
 
-  void fillContainer( number *_coeffs, number *_ievpoint, 
-		      const int _var, const int _tdg, 
+  void fillContainer( number *_coeffs, number *_ievpoint,
+		      const int _var, const int _tdg,
 		      const rootType _rt, const int _anz );
 
@@ -98,7 +98,7 @@
   rootContainer( const rootContainer & v );
 
-  /** Given the degree tdg and the tdg+1 complex coefficients ad[0..tdg] 
+  /** Given the degree tdg and the tdg+1 complex coefficients ad[0..tdg]
    * (generated from the number coefficients coeffs[0..tdg]) of the polynomial
-   * this routine successively calls "laguer" and finds all m complex roots in 
+   * this routine successively calls "laguer" and finds all m complex roots in
    * roots[0..tdg]. The bool var "polish" should be input as "true" if polishing
    * (also by "laguer") is desired, "false" if the roots will be subsequently
@@ -114,5 +114,5 @@
    */
   void laguer(gmp_complex ** a, int m, gmp_complex * x, int * its);
-  
+
   int var;
   int tdg;
@@ -123,5 +123,5 @@
 
   gmp_complex ** theroots;
-  
+
   int anz;
   bool found_roots;
@@ -130,9 +130,9 @@
 
 //-> class rootArranger
-class rootArranger 
+class rootArranger
 {
-public: 
-  rootArranger( rootContainer ** _roots, 
-		rootContainer ** _mu, 
+public:
+  rootArranger( rootContainer ** _roots,
+		rootContainer ** _mu,
 		const int _howclean = PM_CORRUPT );
   ~rootArranger() {}
@@ -170,6 +170,3 @@
 // compile-command-1: "make installg" ***
 // compile-command-2: "make install" ***
-// End: *** 
-
-
-
+// End: ***
Index: Singular/pcv.cc
===================================================================
--- Singular/pcv.cc	(revision 0f5091ea1879ab5dca9d221f9cfc0b248090d973)
+++ Singular/pcv.cc	(revision e858e7474c86dc4faa76dde10fcfb590dcdaabae)
@@ -2,5 +2,5 @@
 *  Computer Algebra System SINGULAR      *
 *****************************************/
-/* $Id: pcv.cc,v 1.25 1999-06-11 17:13:40 mschulze Exp $ */
+/* $Id: pcv.cc,v 1.26 1999-06-28 16:06:30 Singular Exp $ */
 /*
 * ABSTRACT: conversion between polys and coef vectors
@@ -41,5 +41,5 @@
       l0->m[i].data=pCopy((poly)l1->m[i].data);
       if(i<=l2->nr&&l2->m[i].rtyp==l1->m[i].rtyp)
-        l0->m[i].data=pAdd(l0->m[i].data,pCopy((poly)l2->m[i].data));
+        l0->m[i].data=pAdd((poly)l0->m[i].data,pCopy((poly)l2->m[i].data));
     }
     else
@@ -231,5 +231,5 @@
   {
     k=j;
-    for(j=0;j<pcvMaxDegree&&pcvIndex[i][j]<=n;j++);
+    for(j=0; (j<pcvMaxDegree) && (pcvIndex[i][j]<=(unsigned)n); j++);
     j--;
     n-=pcvIndex[i][j];
Index: Singular/shortfl.cc
===================================================================
--- Singular/shortfl.cc	(revision 0f5091ea1879ab5dca9d221f9cfc0b248090d973)
+++ Singular/shortfl.cc	(revision e858e7474c86dc4faa76dde10fcfb590dcdaabae)
@@ -2,5 +2,5 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: shortfl.cc,v 1.8 1999-05-10 15:10:55 Singular Exp $ */
+/* $Id: shortfl.cc,v 1.9 1999-06-28 16:06:31 Singular Exp $ */
 
 /*
@@ -339,5 +339,5 @@
     if(i>4)
     {
-      Werror("float overflow");
+      WerrorS("float overflow");
       return nf(rr).N();
     }
@@ -369,5 +369,5 @@
   {
     if(j==s)
-      Werror("float overflow");
+      WerrorS("float overflow");
     return nf(rr).N();
   }
@@ -382,5 +382,5 @@
       MPZ_CLEAR(g);
       if(j==s)
-        Werror("float overflow");
+        WerrorS("float overflow");
       return nf(rr).N();
     }
Index: Tst/Short/bug_12.res.gz.uu
===================================================================
--- Tst/Short/bug_12.res.gz.uu	(revision e858e7474c86dc4faa76dde10fcfb590dcdaabae)
+++ Tst/Short/bug_12.res.gz.uu	(revision e858e7474c86dc4faa76dde10fcfb590dcdaabae)
@@ -0,0 +1,65 @@
+begin 640 bug_12.res.gz
+M'XL(")65=S<``V)U9U\Q,BYR97,`E9E+;^-&$L?O^A1$L`=I*"KLZ@?)>&4L
+M%KD$6.0R"^QAX`G$L6S+8\N&)34T"O:[;U4_JMJ>6,D>+-:?_:[JZOY)_OCO
+MGW_YM:HJ=5G]ZY=_5C_L=_O%PV;\X6+R,97`984O?]ML-_OI[&)"S^HROMOM
+M5_O#;O%TV'-M?5FQ;1;5CS]NML^'?;7[\K)YWE?[N]6^^O*RVMVM=]7'S?;V
+M\+!ZX?J6ZE?5=GUX7&VW_WC<+0[;S>/Z85RLKP^+U:&:_F?UL%^_5#\OJE]C
+MI1DW=HOJ!3NL7I;M?'J<?YN?YH>YGZ_FXVS^\"S+Z2ZKI^?]YFD[?7YYVL\N
+MDGA</\ZD4G]9/3\]?*MNED?WS33'9G41].WR.'QSJ$>I.Z2ZN^6I.1P;_XV+
+M5'M9;:[7JP?\7.[F-U*@<O]JN7[8/&ZVJ_UZNKF>?YM]4E<7-^IBHA8[T^P6
+MNZF:[::`?WJVLXNF:28X[>O#%W+C!GV!<_])55_N5IMM\<9-CJH]F,8<A]-!
+MU^[8G^``*+N3/M1'=\(U>=-XL^(IP:NYWEY4$XS%AP_5R_IZ?8-!1]=NKO$%
+M-]!I#;=_N(;;N`;W=@U3@W]VMNMH+7]Q-<KB<NS!->ZHS.E@:V6/2N.*3`/M
+M40&N28=WZF1PE5BK/5E<YG#"4'G7>#?RK$V:]=WR9;T[/.Q7V_WT1LUOU?PX
+MN[B[F'R"UGR]^J3;'C^-`ORTRN&G@_;K57-R!VN\:U=#K=EV(S2B]&CJ+$:<
+M,T[%6BI0;0TLAEKU+#KL0.I1=T6AP?ZD4+]2V#]WB;:RZ`#KPF`*J[%H:\-B
+M&!NQ:R--^CANEC0I]&V6;M2X9%&XFZ2IQ5D536G*15,]VD87"@NE*00?986"
+M9SIV-9NN#KVC3V'EFH%M.]8@H@'+PHRU4:PTKRU(P,6X0F&AU,4R[F:D+8;[
+MRW;!CX"M6*@Z;+VDVK%V(@?R3Z%H\*S(SUKZZ4;=.)$N^DZDKHNVY.BBK1EM
+M#2(U[0$HI&VD$%X7CEW#8NQKGBQZ78?Q+/FB:PRP<&-<4Q38F2A;%N&<BE9F
+MA-JVA41?2UV-JS>ND.@;&1[CE.:<)-1&VJ(O0`K)C5G@PA4/B3'$_08'VX=`
+M:=PQ+(!\S4J-M54BVY@!60\Q;EGV-*!FV=%L#$L7`Y6EQ4!IJ6PH<5N6*6Y9
+M`L9&FF)P6)`=A*,5]TT'++JQ+D2C86`5XL:B=M$;+L8-/:"Z0A>]8#[U/2M#
+MD2HE4+J)1"7]Z)!$HJ`&+:48DMJTA=2U*U0X6K*D4,KL*99*E&YX0NA@;D2U
+MPC(PA<T*`ZY8P%CW(IJ!;8JU%M6P&;LE$U?!)@;H8(>P37`M;&/W($I1IUQQ
+MP.EJ5GW<+TDY2F16EO8#U]1A.R0!(5>C&`=*K)"VL!H::[+=C^3>+!H31NWB
+M+FDP9;*H.^!JCG:"E.&>T<`=6CJ%9*RP:YRHQMD^*]HF2D8/V2]UZ?"'MA6)
+ME5MN2WEKG"A3C$)'@71+-XH(K)<%WA0J3YMZ(]M2&$W=M]G6(Z51%C$H-NX.
+MV@5&9/16%'7/-BY*&E'*)+-1N6WP0K8Q4[+9'%P;]@9NUVR&4=NDAK":)!QN
+MA%Q-8^2C.>)]KDPX$0!/*3S=DCV,M6:[`7Z/^P&R66M^33=\IUC@RG,)W3JF
+M5:P03[HN*=H+T++`$YF;F7#4MJQT,V2A:8-WEA56[/ND*'=5RP+SR25!>3!D
+M&T,>3;RBTDLLI\$=^=[6+IMX]P]]MG&C)),N%X".%1[?V:Y5EVVZ9'`/L`JN
+MCG9C<F,Z>89L8Z^Y,<8W&G5Z$\`HF;I.37"$9-3A.'&K)C['R:<.D#\SK=K+
+MZF;U9?_TLCFMIW?X!>53#P2F@R8P5:TF,E5*#_0`H^FA34</8Q4]K+7T<#94
+MZ5RHTKM09>A"E:N?)O@UYC<TEBI:<+4\1$M?+7VTS-42Z3=R;R;>Q+J)<C/@
+M9K9EK!6B99AECLT(F^D5,KE"IE9(Q`J95D%(%812@0D5A$Y!R!2$2H&)%(1&
+M@4D4,H5")%"(].D3>?I,G3X3IV?:]$*:GBG3"V'Z3)>>R5)GJM1,E%IH4C-)
+M:J9(+02IA1ZUD*,6:M1"C%IH40LI:J9$+82H,QWJ1(8Z4Z%G)/3,@UY@T#,)
+M>L%`7S"@+P#0%_3G"_3S!??Y`OJ\$)]GW//,>IY!SV3(,PQX1N#.%&!G!.J,
+M`)T1F#,"<D8@S@C`&8$WP^!F,K29#&S@&=?(3+`6S(1JX!G4@IDP#7P):>`9
+MT<`+H($O\"R*!&=1)#0#+V`6[8QEX`LH`R](!KX`,A(9QX*=8`P\HQCX#&+@
+M,X;YC&`^XY=/Z.49NWQ$+A]QRT?4\@FS,F()7A5H)5@E2"4X)2C%&,4(E?!)
+M^PQ/9"5T"F8$)^T9FX(9H4G[`IFBB,"D?8%+V@LL13NBDO8%*&E?8)+V!21I
+M7R"2]@)(V@L>:2]PI#VCD?8,1F@F+-(^0Y'/1.09AWQF(5^`D&<*\AF!//./
+M3_#C$_GXC#T^,8\/P)-@1T"'(2<#3H*;!#9T3$:L(2M"3;`"TAB?@"88`6>,
+M9YB)9D"9<&(GD(EVQ!CC&6*,%X2)QW@$&.,97^*9'N$EVA%=XK$>P,5XQI9P
+MP@=H,2D49`1@H6?`%=KE`5;(B*@2+`*5D"P)4Z)-D!)3B!`EYE`$E)1/*ED$
+M)R&/`IJDW(+8!*,0<BNHB"1D$)#$9`N/VB.(T(]E"`"!"=3<FKEKYXI_/G/I
+MY[,3?BX)&9`+Y&?-[K+:;/?5YB(\[N/CJY3WB#-/+]5TLW18=KEL\7.Y:13_
+MBJN&1?5[%M`NJ/JTNJ>*]W]?N@9[OE_>U](`H&Q@%M57JM7<\YC@%M5F?C^7
+M64"_**"*%O+C]/1Y\^'P^?Z#__QU)C\#:YS`?UD`"5>U53MYAYD:#-((A??T
+MQ&)]];I^*Q6P6+WM#K@[C4G%%/9=W]2[P=[AO=GTA"OAM@B8$A$EX4D\WQ.6
+M!"093=DW]JS.S=M4\';>3>$'A8<L=E_357]^!1I7H-\?1^,TX#W_J`$O3U!T
+M\A*!Q&^BA!T*7]*F#HMN;!?.4-!Q[4,X+,/:D27"$4D>:`B#WGI!XS+/>$%7
+M^CLO0.$%_,Y6Z^")L:9<',_[`EU:F7>=NFJDN0*Z/S&K>[PN\01XU9'"CM0Y
+MIP*NBL9N._LN_N-7$L*5`"H140*<1"S)0,*;J^\3?B3P2,@182-C1@*,8NL9
+M&W$B@D0XN`@>W@0!T,MG@@"5^9.MB)<IG9YT1E,H\!(8X7PD,"DK^_Z0F!K?
+M!0K^,%"XP71,MT;33M!T8>)2FW!;47:\CASN]G.1P["^GP[H=KP@NW`WMA@]
+MP'%I"(7(HN-/]A@\"J-*W^*[&,F>\H8B3#'LVI0Z??QJU+8A>ZP)[`$Z1#&<
+M'\B_(7R6<@@QJ^Y&^RIPZ*1S@5.5/9,].-"?)(R9X%%<N?>./PI#.1L\A\_%
+M%`_2OYA\VH:KFJ[FH0\;:P@[BV9LPJ7;X5ZF;5WK\#4,W3E\GZ1X[IT+-1X%
+M[Q_MRD0^BFP4N2C$/?)08J'$09F!,O\D]LG<DYDG\4YFG<PYB7$2WT2V"5Q#
+M3#.Z-RZVYP*.P?H_[D[+%V_Q+V6--[S\XWFJ9A=_PWWT_7^C_P=$YW-*UAX`
+!````
+`
+end
Index: Tst/Short/bug_12.stat
===================================================================
--- Tst/Short/bug_12.stat	(revision e858e7474c86dc4faa76dde10fcfb590dcdaabae)
+++ Tst/Short/bug_12.stat	(revision e858e7474c86dc4faa76dde10fcfb590dcdaabae)
@@ -0,0 +1,11 @@
+Status Output of tst_status.out
+init >> USER    :hannes
+init >> HOSTNAME:nepomuck.mathematik.uni-kl.de
+init >> uname -a:Linux nepomuck.mathematik.uni-kl.de 2.0.33 #1 Wed Jan 21 18:50:57 MET 1998 i686 unknown
+init >> date    :Mon Jun 28 17:32:13 MET DST 1999
+init >> version :1303
+init >> ticks   :100
+1 >> tst_memory_0 :: nepomuck.mathematik.uni-kl.de:1513354
+1 >> tst_memory_1 :: nepomuck.mathematik.uni-kl.de:2152486
+1 >> tst_memory_2 :: nepomuck.mathematik.uni-kl.de:2064384
+1 >> tst_timer_1 :: nepomuck.mathematik.uni-kl.de:2145
Index: Tst/Short/bug_12.tst
===================================================================
--- Tst/Short/bug_12.tst	(revision e858e7474c86dc4faa76dde10fcfb590dcdaabae)
+++ Tst/Short/bug_12.tst	(revision e858e7474c86dc4faa76dde10fcfb590dcdaabae)
@@ -0,0 +1,28 @@
+LIB "tst.lib";
+tst_init();
+
+//input script that crashes Singular
+//  neumann@ms.unimelb.edu.au (Walter D. Neumann)
+ring r=0,(x,y,z,u,v,a,b),lp;
+option(prot);option(mem);
+poly f=x6y4-x-a;poly g=x9y6-x-b;
+poly s=z-ux-vy;
+ideal id=s,f;
+poly f1=eliminate(id,y)[1];f1;
+ideal id=s,g; 
+poly g1=eliminate(id,y)[1];g1;
+poly h=resultant(f1,g1,x);h;
+factorize(h);
+poly zpol=_[1][4];
+int i; int j; int k;
+for (i=6; i>=0; i=i-1)
+{
+for( j=0; j<=6-i; j=j+1)
+{
+k=6-i-j;
+i,j,k;
+factorize(zpol/(z^i*u^j*v^k));
+}
+}
+
+tst_status(1);$
